<?php
if(!defined('MOD'))  die("access die");
if($admin_info[groupid] > 3 ) qbase::purviewCheckDie();
if(empty($channel[$channelid])) qbase::showmsg("error request");
purviewCheck( $channelid, 'channel');
$action = $_GET['action'];
qbase::checkAction( $action);

$a = AC_P.$action.".php";
if(file_exists( $a)){
	require_once( $a);
	include qbase::template($path . 'acategory');
}else{
	qbase::showmsg("error request");
}

function createCategoryDir($name)
{
	$temp = c($name);
	$dir = '';
	for($i=0;$i<strlen($temp);$i++){
		$order = ord($temp[$i]);
		if(($order >= 48 && $order <= 57) || ($order >= 65 && $order <= 90) || ($order >= 97 && $order <= 122)){
			$dir .= $temp[$i];
		}
	}
	return $dir;
}
?>
